RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005212USAF[All Projects] Generalpublic2019-08-14 23:202019-09-13 08:44
ReporterZak 
Assigned Toreyhard 
PrioritynoneSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.5.0 
Summary0005212: M590 reload script breaks often and can cause ammo to disappear
DescriptionConsidering all the bugs here are related in some way, I figured I'd condense them into one report.

1) Trivial - Fully reloading either variant of the shotgun from empty will leave a magazine with 0 shells remaining.

2) Minor - Manually unloading ammunition from either variant of the M590 shotgun will break the reload script, preventing it from being reloaded. Dropping (or otherwise unequipping) the weapon then re-equipping it will fix the issue.

3) Major - Attempting to load ammunition from the ground (and presumably from any container) will not only fail to load, but also removes the magazine item entirely if attempting to do so multiple times; i.e. right-clicking more than once.
Steps To Reproduce1. Take any unit with either variant of the M590, plus spare ammunition

2. Open the inventory and remove the loaded magazine from the M590.

3. Attempt to reload.
Additional InformationAlso tested with ace3 + RHS USAF ace compat enabled, and it's especially an issue due to magazine repacking producing the same effect.

Video showing various bugs: https://www.youtube.com/watch?v=2cVgbDtwKvg [^]
TagsNo tags attached.
Is it a wish/request?No
RHS versionStable
Arma 3 version1.94
Did you used any other mod when the error occurred?No
Which mods?
Attached Files? file icon Arma3_x64_2019-08-14_17-08-57.rpt [^] (89,468 bytes) 2019-08-14 23:20

- Relationships

-  Notes
(0009783)
reyhard (administrator)
2019-08-23 19:41

fixed in rev 3677
(0009841)
Liquid (reporter)
2019-09-09 18:32

Reload bugged as hell.
All types of shots converted to already loaded.
(0009842)
reyhard (administrator)
2019-09-09 18:33

?
(0009869)
Liquid (reporter)
2019-09-13 08:29

Add buckshot and HE magazine to inventory.
Load buckshot. Shoot till empty.
Press R/scroll menu/drag and drop HE mag to weapon without removing old one
Get buckshot instead of HE.
(0009870)
reyhard (administrator)
2019-09-13 08:44

Can you provide Rpt? I cannot reproduce it

- Issue History
Date Modified Username Field Change
2019-08-14 23:20 Zak New Issue
2019-08-14 23:20 Zak File Added: Arma3_x64_2019-08-14_17-08-57.rpt
2019-08-14 23:24 reyhard Severity major => minor
2019-08-23 19:41 reyhard Note Added: 0009783
2019-08-23 19:41 reyhard Status new => resolved
2019-08-23 19:41 reyhard Fixed in Version => 0.5.0
2019-08-23 19:41 reyhard Resolution open => fixed
2019-08-23 19:41 reyhard Assigned To => reyhard
2019-09-09 18:32 Liquid Note Added: 0009841
2019-09-09 18:33 reyhard Note Added: 0009842
2019-09-13 08:29 Liquid Note Added: 0009869
2019-09-13 08:44 reyhard Note Added: 0009870


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker